aboutsummaryrefslogtreecommitdiffstats
path: root/wlan-ng
diff options
context:
space:
mode:
authorMichael Lauer <mickey@vanille-media.de>2004-10-29 21:58:07 +0000
committerMichael Lauer <mickey@vanille-media.de>2004-10-29 21:58:07 +0000
commitc4e8411032b99f7f1366db1d50ae352d456140ec (patch)
treebbcd28cea901c4a191b3b6349decb73960700d9a /wlan-ng
parent3bea931eb63e93c0e0f05e03b3a7291840a184fa (diff)
downloadopenembedded-c4e8411032b99f7f1366db1d50ae352d456140ec.tar.gz
Merge bk://openembedded.bkbits.net/packages
into r2d2.tm.informatik.uni-frankfurt.de:/local/pkg/oe/packages 2004/10/29 14:18:16-05:00 thegrantclan.org!jgrant fix typo and create resolv.conf in base-files 2004/10/29 14:03:14-05:00 thegrantclan.org!jgrant Keymaping additions for tosa in qte. 2004/10/29 11:43:46-05:00 thegrantclan.org!jgrant Changes based on Murray Jensen's patchs sent to the oe mailing list. Mostly hotplug fixes and location of init scripts. BKrev: 4182bcefIQKf4dZo5GWM-5QhxcjYcQ
Diffstat (limited to 'wlan-ng')
-rw-r--r--wlan-ng/files/OZ-Configure.patch0
-rw-r--r--wlan-ng/files/wlan.agent107
-rw-r--r--wlan-ng/wlan-ng-modules_0.2.1pre22.oe1
3 files changed, 108 insertions, 0 deletions
diff --git a/wlan-ng/files/OZ-Configure.patch b/wlan-ng/files/OZ-Configure.patch
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/wlan-ng/files/OZ-Configure.patch
diff --git a/wlan-ng/files/wlan.agent b/wlan-ng/files/wlan.agent
index e69de29bb2..945d646984 100644
--- a/wlan-ng/files/wlan.agent
+++ b/wlan-ng/files/wlan.agent
@@ -0,0 +1,107 @@
+#!/bin/sh
+#
+# p80211/wlan hotplug policy agent.
+#
+# wlan hotplug params include:
+#
+# ACTION=%s [register|remove|shutdown|startup|suspend|resume]
+# INTERFACE=%s
+# NSDNAME=%s
+#
+
+cd /etc/hotplug
+# must have ./ here or busybox shell barfs
+. ./hotplug.functions
+
+#DEBUG=yes export DEBUG
+
+if [ "$INTERFACE" = "" ]; then
+ mesg Bad WLAN invocation: \$INTERFACE is not set
+ exit 1
+fi
+
+if [ "$NSDNAME" = "" ]; then
+ mesg Bad WLAN invocation: \$NSDNAME is not set
+ exit 1
+fi
+
+debug_mesg WLAN $ACTION on $INTERFACE \($NSDNAME\)
+
+if [ "$NSDNAME" = "prism2_cs" ] ; then
+ mesg "WLAN Hotplug bypassed for pcmcia"
+ exit 0
+fi
+
+# load up the shared scripts
+if [ ! -f /etc/wlan/shared ] ; then
+ mesg "/etc/wlan/shared not present, aborting"
+ exit 1
+fi
+
+ECHO=mesg
+. /etc/wlan/shared
+
+case $ACTION in
+'register'|'resume')
+ eval 'WLAN_ENABLE=$ENABLE_'$INTERFACE
+ if ! is_true $WLAN_ENABLE ; then
+ mesg "WLAN $ACTION - interface $INTERFACE not enabled, aborting"
+ exit 1
+ fi
+ debug_mesg WLAN $INTERFACE registered.
+ wlan_bring_it_up $INTERFACE
+ if [ $? = 0 ] ; then
+ mesg WLAN $INTERFACE brought up successfully.
+ if [ -x /etc/wlan/network ] ; then
+ mesg "WLAN bringing up layer 3+ with /etc/wlan/network"
+ /etc/wlan/network start $INTERFACE
+ elif [ -x /etc/wlan/pre-ifup ] ; then
+ # pre-ifup is presumed to call ifup if it
+ # wants to...it may choose to skip it.
+ mesg "WLAN bringing up layer 3+ with /etc/wlan/pre-ifup"
+ /etc/wlan/pre-ifup $INTERFACE
+ else
+ mesg "WLAN bringing up layer 3+ with /sbin/ifup"
+ /sbin/ifup $INTERFACE
+ fi
+ else
+ mesg WLAN Could not bring up $INTERFACE
+ exit 1
+ fi
+ # eventually invoke net.agent on $INTERFACE w/ REGISTER
+;;
+'remove'|'suspend')
+ debug_mesg WLAN $INTERFACE removed.
+ eval 'WLAN_ENABLE=$ENABLE_'$INTERFACE
+ if ! is_true $WLAN_ENABLE ; then
+ mesg "WLAN $ACTION - interface $INTERFACE not enabled, aborting"
+ exit 1
+ fi
+ if [ -x /etc/wlan/network ] ; then
+ mesg "WLAN taking down layer 3+ with /etc/wlan/network"
+ /etc/wlan/network stop $INTERFACE
+ elif [ -x /etc/wlan/post-ifdown ] ; then
+ # post-ifdown is presumed to call ifdown if it
+ # wants to...it may choose to skip it.
+ mesg "WLAN taking down layer 3+ with /etc/wlan/post-ifdown"
+ /etc/wlan/post-ifdown $INTERFACE
+ else
+ mesg "WLAN taking down layer 3+ with /sbin/ifdown"
+ /sbin/ifdown $INTERFACE
+ fi
+ wlan_disable $INTERFACE
+;;
+'startup')
+ # kick off wland.
+ debug_mesg WLAN p80211 starting!
+ start_wland
+;;
+'shutdown')
+ debug_mesg WLAN p80211 shutting down!
+ stop_wland
+;;
+*)
+ debug_mesg WLAN $ACTION event not supported
+ exit 1 ;;
+
+esac
diff --git a/wlan-ng/wlan-ng-modules_0.2.1pre22.oe b/wlan-ng/wlan-ng-modules_0.2.1pre22.oe
index b5b8a10e85..08cf03367b 100644
--- a/wlan-ng/wlan-ng-modules_0.2.1pre22.oe
+++ b/wlan-ng/wlan-ng-modules_0.2.1pre22.oe
@@ -11,6 +11,7 @@ SRC_URI = "ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-${PV}.tar.bz
file://Ambit_usb.patch;patch=1 \
file://scripts-makefile-hostcc.diff;patch=1;pnum=0 \
file://pass-kernel-cross.patch;patch=1;pnum=0 \
+ file://OZ-Configure.patch;patch=1 \
file://wlan-ng.modutils \
file://wlan.agent \
file://config.in \